Go to the latest version of this document.

# ``twisted`.`positioning`.`nmea`.`GPGGAFixQualities``

class documentation

`class GPGGAFixQualities(Values): (source)`

View In Hierarchy

The possible fix quality indications for GPGGA sentences.

Constant | `DEAD_RECKONING` | There is currently no more fix, but this data was computed using a previous fix and some information about motion (either from that fix or from other sources) using simple dead reckoning. Not particularly reliable, but better-than-nonsense data.
Constant | `DGPS_FIX` | There is a fix, acquired using differential GPS (DGPS).
Constant | `FLOAT_RTK_FIX` | There is a fix, acquired using floating real-time kinematics. The same comments apply as for a fixed real-time kinematics fix, except that there were insufficient shared satellites to acquire it, so instead you got a slightly less good floating fix...
Constant | `GPS_FIX` | There is a fix, acquired using GPS.
Constant | `INVALID_FIX` | The fix is invalid.
Constant | `MANUAL` | There is no real fix from this device, but the location has been manually entered, presumably with data obtained from some other positioning method.
Constant | `PPS_FIX` | There is a fix, acquired using the precise positioning service (PPS).
Constant | `RTK_FIX` | There is a fix, acquired using fixed real-time kinematics. This means that there was a sufficient number of shared satellites with the base station, usually yielding a resolution in the centimeter range...
Constant | `SIMULATED` | There is no real fix, but instead it is being simulated.

DEAD_RECKONING: `str` = (source)

There is currently no more fix, but this data was computed using a previous fix and some information about motion (either from that fix or from other sources) using simple dead reckoning. Not particularly reliable, but better-than-nonsense data.

Value

    '6'

DGPS_FIX: `str` = (source)

There is a fix, acquired using differential GPS (DGPS).

Value

    '2'

FLOAT_RTK_FIX: `str` = (source)

There is a fix, acquired using floating real-time kinematics. The same comments apply as for a fixed real-time kinematics fix, except that there were insufficient shared satellites to acquire it, so instead you got a slightly less good floating fix. Typical resolution in the decimeter range.

Value

    '5'

GPS_FIX: `str` = (source)

There is a fix, acquired using GPS.

Value

    '1'

INVALID_FIX: `str` = (source)

The fix is invalid.

Value

    '0'

MANUAL: `str` = (source)

There is no real fix from this device, but the location has been manually entered, presumably with data obtained from some other positioning method.

Value

    '7'

PPS_FIX: `str` = (source)

There is a fix, acquired using the precise positioning service (PPS).

Value

    '3'

RTK_FIX: `str` = (source)

There is a fix, acquired using fixed real-time kinematics. This means that there was a sufficient number of shared satellites with the base station, usually yielding a resolution in the centimeter range. This was added in NMEA 0183 version 3.0. This is also called Carrier-Phase Enhancement or CPGPS, particularly when used in combination with GPS.

Value

    '4'

SIMULATED: `str` = (source)

There is no real fix, but instead it is being simulated.

Value

    '8'